Bug 202017 - Need a flag to exclude a toolcahin from auto detection
Need a flag to exclude a toolcahin from auto detection
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Toolchain
7.0.1
All All
: P2 (vote)
: 7.1
Assigned To: Alexander Simon
issues@cnd
CR_7036154, 701patch2-verified, oss30
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-12 13:35 UTC by Egor Ushakov
Modified: 2011-09-27 13:44 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Egor Ushakov 2011-09-12 13:35:50 UTC
In Studio we need to have toolchains that could be created only manually by user not by auto detection during IDE start. Please introduce a flag or attribute in toolchain xml to exclude it from auto detection.
Comment 1 Alexander Simon 2011-09-12 15:42:05 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/49850d1b5a58
Comment 2 Egor Ushakov 2011-09-13 10:39:48 UTC
fix is safe, but in line AddCompilerSetPanel:219 we init compiler set at 0 position twice.
Comment 3 Alexander Simon 2011-09-13 11:13:13 UTC
additional fix (discovered by code review)
http://hg.netbeans.org/cnd-main/rev/6d47a89603e6
Comment 4 Alexander Simon 2011-09-13 11:29:45 UTC
transplanted in releases_elif branch release701_fixes
49850d1b5a58 transplanted to 6020396ffcd7
6d47a89603e6 transplanted to 95c763ebc0d0
Comment 5 Quality Engineering 2011-09-13 16:05:14 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/49850d1b5a58
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #202017 Need a flag to exclude a toolcahin from auto detection
Comment 6 Quality Engineering 2011-09-14 06:23:00 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/6d47a89603e6
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #202017 Need a flag to exclude a toolcahin from auto detection
- additional fix
Comment 7 Alexander Pepin 2011-09-19 14:19:34 UTC
verified in OSS build 30
Comment 8 Quality Engineering 2011-09-26 13:26:58 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/6020396ffcd7
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #202017 Need a flag to exclude a toolcahin from auto detection
Comment 9 Alexander Pepin 2011-09-27 13:44:32 UTC
verified in OSS dev build based on 7.0.1 patch2


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo